Bug 168725 - searches using 'changed in last n days' and 'bugs where any of the fields were changed between' should have the same options
searches using 'changed in last n days' and 'bugs where any of the fields wer...
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-09-19 15:44 EDT by Suzanne Hillman
Modified: 2007-04-18 13:31 EDT (History)
0 users

See Also:
Fixed In Version: 2.18
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-07 15:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2005-09-19 15:44:09 EDT
Description of problem:
If one wants to specific what kind of a change in one's search, one has to use
the 'where any of the fields were changed between' search, rather than being
able to use 'changes in the last n days', which is very useful when one is doing
regular reporting. 

Similarly, if one wants to know about all changes in a specific period of time,
the closest one can come is to select all of the fields available in the 'where
any of the fields were changed between' search option.

How reproducible:

Steps to Reproduce:
1. Try to use either of the two methods in relation to the other type of search.
2. Fail miserably. Be very sad.
Actual results:
Can't exchange one search type for the other. It's annoying having to change a
date range every day, and it's annoying that one can't specify a type of change
for a 'last n days' search.

Expected results:
Being able to specify specific fields for 'last n days', and being able to
specify all changes with 'changed between'.

Additional info:
Comment 1 Suzanne Hillman 2005-10-07 15:51:26 EDT
This appears to work, now. One can pick nothing in the specific field section,
and give a range, and it finds all changes.

One can also pick a field, use 1d, 1y, etc in the first date field, and Now in
the second, and get an equivelent to last n days.

Note You need to log in before you can comment on or make changes to this bug.